%define version 382
%define release 1%{?_dist_release}

Summary: less (opposite of more) + ISO patch
Summary(ja): 日本語対応高機能ページャ
Name: less
Version: %{version}
Release: %{release}
Group: Applications/Text
License: distributable
URL: http://www25.big.jp/~jam/less/
Source: less-%{version}.tar.bz2
Source1: less-profile.tar.gz
Source2: lesspipe.sh
Source3: less-354-hlp-ja.tgz

# jless
Patch0: http://www25.big.jp/~jam/less/less-382-iso258.patch.gz
Patch1: http://www25.big.jp/~jam/less/less-382-iso258-259.patch.gz
Patch2: http://www25.big.jp/~jam/less/less-382-iso259-260.patch.gz
Patch3: http://www25.big.jp/~jam/less/less-382-iso260-261.patch.gz
Patch4: http://www25.big.jp/~jam/less/less-382-iso261-262.patch.gz

# some patches for Vine
# include help in ftp://sakura.sfc.wide.ad.jp/pub/unix/tool/less/less-354-hlp-ja.tgz
#Patch2: less-354-ja_nls.patch
#Patch3: less-354-ja_nls-modify.patch

Provides: pager
Requires(post,preun): alternatives
Requires: gzip, bzip2
Requires: file >= 3.33
Buildroot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
This is a more advanced more command with Japanese support by iso259.  
patch.

EUC/JIS/Shift-JIS are automatically distinguished.  The can set the
Kanji code with the environment variable JLESSCHARSET. Also you can
automatically open gzip or compress files and show them with less.

%description -l ja
more よりも高機能なページャ less を iso259 パッチで日本語対応にしたも
のです. EUC/JIS/Shift-JIS を自動的に判別し, 環境変数JLESSCHARSET で指
定された任意の漢字コードで表示します. 

環境変数 LESSOPEN を "|lesspipe.sh %s" に設定することによって, gzip や 
compress で圧縮されたファイルを自動的に展開して表示することもできます. 

%prep
%setup -q -a 1

# jless
%patch0 -p1
%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1

touch configure

%build
CFLAGS=-D_FILE_OFFSET_BITS=64
%configure --enable-nls
make

%install
rm -rf %{buildroot}
%makeinstall
install -p -m 755 %{_sourcedir}/lesspipe.sh %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/profile.d/
install -p -m 755 less-profile/less* %{buildroot}%{_sysconfdir}/profile.d/

%clean
rm -rf %{buildroot}

%post
%{_syssbindir}/update-alternatives --install %{_bindir}/pager pager %{_bindir}/less 50

%preun
if [ "$1" = "0" ]; then
  %{_syssbindir}/update-alternatives --remove pager %{_bindir}/less
fi

%files
%defattr(-,root,root)
%doc COPYING LICENSE NEWS README README.iso README.iso.jp
%config %{_sysconfdir}/profile.d/*
%{_bindir}/less
%{_bindir}/lesskey
%{_bindir}/lessecho
%{_bindir}/lesspipe.sh
%{_mandir}/man1/less.1*
%{_mandir}/man1/lesskey.1*


%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 382-1vl5
- applied new versioning policy, spec in utf-8

* Fri Apr 13 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 382-0vl6
- add Provides: pager
- add Requires(post,preun): alternatives

* Mon Apr 09 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 382-0vl5
- add update-alternatives: pager in %%post, %%preun scriptlet

* Thu Nov 09 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 382-0vl4
- revert to 382-iso259 ([VineSeed:12552])

* Wed Nov 08 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 382-0vl3
- update jless patch to 382-iso262
- update description (iso254 to iso262)

* Sun Nov 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 382-0vl2
- change log was missing in 382-0vl1

* Sun Nov 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 382-0vl1
- new upstream release
- update jless patch to 382-iso258

* Tue Dec 14 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 358-0vl10
- set _FILE_OFFSET_BITS 64

* Sat May 17 2003 KAZUKI SHIMURA <rito@pos.to> 358-0vl9
- rebuild with new toolchain
- fix description (iso242 to iso254)

* Thu Apr 25 2002 Kosaku Nagasaka <nagasaka@math.tsukuba.ac.jp>
- 358-0vl8: temporary fix: consistency of the nls-patch and (J)LESSCHARSET

* Sun Mar 31 2002 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp>
- 358-0vl7: fix lesspipe.sh for file names with spaces

* Wed Aug 22 2001 Toru Sagami <sagami@vinelinux.org>
- 358-0vl6: rebuild on ncurses-5.2 (as asked to do so)

* Sun Aug 19 2001 Toru Sagami <sagami@vinelinux.org>
- 358-0vl5: added more documents (COPYING, LICENSE)
- fix lesspipe.sh again and tweak lesspipe.csh a bit with %%config marked

* Wed Jun 27 2001 Jun Nishii <jun@vinelinux.org> 358-0vl4
- fix lesspipe.sh
- do not REset LESSOPEN in profile.d/less.sh

* Sat Jan 13 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- 358-0vl3
- fixed lesspipe.sh

* Fri Jan 12 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- 358-0vl2
- added bzip2/lha support to lesspipe.sh
- minor spec fixes

* Thu Jan 11 2001 Jun Nishii <jun@vinelinux.org>
- 358-0vl1
- more fix of lesspipe.sh
- requires file >= 3.33
- more macros in spec

* Thu Jan 11 2001 Jun Nishii <jun@vinelinux.org>
- 354-0vl5
- modify lesspipe.sh to adapt to file-3.33 and to view gzipped nroff file

* Tue Dec 26 2000 Tomoya TAKA <tomoya@olive.plala.or.jp> 354-0vl3
- some fixes to handle man pages correctly

* Sun Nov 12 2000 MACHINO, Satoshi <machino@vinelinux.org> 354-0vl2
- build on gcc-2.95.3
- partially used rpmmacros

* Wed Jul  5 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added Sagam's patch to fix parse ctrl code for Japanese. Very thanks Sagami-san.

* Wed Jun 21 2000 Jun Nishii <jun@vinelinux.org>
- less-354-0vl1

* Mon Jan 17 2000 Yasuyuki Furukawa  <furukawa@vinelinux.org>
- updated ja_nls patch for memory leaks.

* Mon Jan 10 2000 Jun Nishii <jun@vinelinux.org>
- rel.7 (5vl2 makes harm for update from Vine-1.1)

* Fri Jan  7 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- rel 5vl2
- added ja_nls and bzip2 patches
- added Requires for bzip2 and gzip.

* Fri Jan  7 2000 Jun Nishii <jun@vinelinux.org>
- rel.6
- change group

* Sun Sep 6 1999 Jun NISHII <jun@flatout.org>
- rel.5
- remove LESS=-r to avoid somed troubles

* Sat Aug 21 1999 Jun NISHII <jun@flatout.org>
- rel.4
- change groff path in lesspipe.sh to adapt groff-1.11
- added /etc/profile.d/less{.,.csh}

* Thu Jun 24 1999 Norihito Ohmori <ohmori@flatout.org>
- rebuild for glibc-2.1

* Mon Feb 15 1999 Jun NISHII <jun@flatout.org>
- rel.2
- added preprocess for bzip2ed file 
- added Japanese summary

* Wed Dec 2 1998 Jun NISHII <jun@flatout.org>
- rename from less-332iso242-4 to less-332_jp-1
- strip bins

* Tue Oct 8 1998 Jun NISHII <jun@flatout.org>
- release 4
- modify header of spec file

* Sat Sep 26 1998 Jun NISHII <jun@flatout.org>
- release 3
- added lesspipe.sh
